Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.providers
Class BasicProvider

    java.lang.Object
      |
      +--org.apache.axis.handlers.BasicHandler
            |
            +--org.apache.axis.providers.BasicProvider

All Implemented Interfaces:
  Handler, java.io.Serializable

Direct Known Subclasses:
  BSFProvider, ComProvider, JavaProvider

public abstract class BasicProvider
extends BasicHandler

This class has one way of keeping track of the operations declared for a particular service provider. I'm not exactly married to this though.

See Also:
  Serialized Form

Fields inherited from class org.apache.axis.handlers.BasicHandler
`log, name, options`

Constructor Summary
`BasicProvider()`

Method Summary
`void` | `addOperation(java.lang.String name, QName qname)`
`java.lang.String` | `getOperationName(QName qname)`
`java.lang.String[]` | `getOperationNames()`
`QName[]` | `getOperationQNames()`
`abstract void` | `initServiceDesc(SOAPService service, MessageContext msgContext)` This method returns a ServiceDesc that contains the correct implimentation class.

Methods inherited from class org.apache.axis.handlers.BasicHandler
`canHandleBlock, cleanup, generateWSDL, getDeploymentData, getName, getOption, getOptions, getUnderstoodHeaders, init, initHashtable, invoke, onFault, setName, setOption, setOptionDefault, setOptions`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicProvider

    public BasicProvider()

Method Detail

### initServiceDesc

    public abstract void initServiceDesc(SOAPService service,
                                         MessageContext msgContext)
                                  throws AxisFault

  This method returns a ServiceDesc that contains the correct implimentation class.

### addOperation

    public void addOperation(java.lang.String name,
                             QName qname)

### getOperationName

    public java.lang.String getOperationName(QName qname)

### getOperationQNames

    public QName[] getOperationQNames()

### getOperationNames

    public java.lang.String[] getOperationNames()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.